// Sketch to calibrate input "value" for ADC lines
// Turn on the Serial Monitor to observe the values as you cover sensors
// Use one or all four
// Filter ambient light level to match railroad room level, observe value
// then cover and observe higher value  Use half way in between
// to establish "threshold" value for Model RR applications
const int WestSensorPin1 = A0;
const int EastSensorPin1 = A1;
const int WestSensorPin2 = A2;
const int EastSensorPin2 = A3;

void setup() 
{
  Serial.begin(9600);
}
void loop() 
{
  // Reads each Sensor in Current FULL LIGHT and displays their ADC value till one is hit
 //  then displays its value and continues the loop
   Serial.println("CURRENT LIGHT VALUES");
   Serial.println("  ");
   Serial.print("Westbound sensor W1: ");
   Serial.println(analogRead(WestSensorPin1));
   Serial.println("   ");
   delay (3000);
   Serial.println("  ");
   Serial.print("Westbound sensor W2: ");
   Serial.println(analogRead(WestSensorPin2));
   Serial.println("   ");
   delay (3000);
    Serial.println("  ");
   Serial.print("Eastbound sensor E1: ");
   Serial.println(analogRead(EastSensorPin1));
   Serial.println("   ");
   delay (3000);
    Serial.println("  ");
   Serial.print("Eastbound sensor E2: ");
   Serial.println(analogRead(EastSensorPin2));
   Serial.println("   ");
   delay (3000);
}

